### Virtual Method

# WebKit InputMethodContext notify_surrounding

since: 2.28

#### Declaration [src]

    void
    notify_surrounding (
      WebKitInputMethodContext* context,
      const gchar* text,
      guint length,
      guint cursor_index,
      guint selection_index
    )

#### Description [src]

Notify `context` that the context surrounding the cursor has changed.

If there’s no selection `selection_index` is the same as `cursor_index`.

Available since: 2.28

#### Parameters

`text`

  Type: `const gchar*`

  Text surrounding the insertion point.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`length`

  Type: `guint`

  The length of `text`, or -1 if `text` is nul-terminated.

`cursor_index`

  Type: `guint`

  The byte index of the insertion cursor within `text`.

`selection_index`

  Type: `guint`

  The byte index of the selection cursor within `text`.